$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.48-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.48-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A5B205670EA0FE8EFF304FDDE8049E6A59E0281BC5807E79004A68FD8E18A969'
  checksumType = 'sha256'
  checksum64 = 'A5B205670EA0FE8EFF304FDDE8049E6A59E0281BC5807E79004A68FD8E18A969'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.31.48-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
